[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# TResourceDesc.DescType

The type of the resource description

## Declaration

Source position: resource.pp line 123

`public property TResourceDesc.DescType : TDescType read fDescType;`

## Description

When DescType is dtName, resource description value is a name and can be accessed via Name property

When DescType is dtID, resource description value is an ID and can be accessed via ID property

## See also

TResourceDesc.Name |  | The value of the resource description as a name
TResourceDesc.ID |  | The value of the resource description as an ID
TDescType |  | The type of a resource type or name